Subject: Re: bug#43996: 26.3; Please document frame parameter `modeline' in the Elisp manual

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 15 Oct 2020 09:27:47 +0200

Drew Adams <[email-masked]> writes:

> Subject line says it all.
>
> I couldn't find where this is used in the Lisp code, so I guess it's
> used in C code.

Where did you happen onto the modeline frame parameter?

Reading the code, it looks like internal bookkeeping, and is always set
on the C level from f->wants_modeline, which again is only set to false
in make_minibuffer_frame.

So it doesn't look like a frame parameter that can be set by the user,
if I'm reading the code correctly, and therefore shouldn't be documented.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no